# Passenger::SpawnException Class Reference

Thrown when SpawnManager or ApplicationPool fails to spawn an application instance. More...

`#include <Exceptions.h>`

List of all members.

## Public Member Functions
bool | hasErrorPage () const
| Check whether an error page is available.
const string | getErrorPage () const
| Return the error page content.

## Detailed Description

Thrown when SpawnManager or ApplicationPool fails to spawn an application instance.

The exception may contain an error page, which is a user-friendly HTML page with details about the error.

## Member Function Documentation

const string Passenger::SpawnException::getErrorPage | ( |  | ) | const`[inline]`

Return the error page content.

Precondition:
  hasErrorPage()

The documentation for this class was generated from the following file:

- Exceptions.h